org.richfaces.component.html

## Class HtmlMenuGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.UIMenuGroup
        - - org.richfaces.component.html.HtmlMenuGroup

- All Implemented Interfaces:
    javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlMenuGroup
      extends UIMenuGroup

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDirection()`
    `java.lang.String` | `getEvent()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getIconClass()`
    `java.lang.String` | `getIconDisabled()`
    `java.lang.String` | `getIconFolder()`
    `java.lang.String` | `getIconFolderDisabled()`
    `java.lang.String` | `getIconStyle()`
    `java.lang.String` | `getLabelClass()`
    `java.lang.String` | `getOnclose()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnopen()`
    `java.lang.String` | `getSelectClass()`
    `java.lang.String` | `getSelectStyle()`
    `java.lang.Integer` | `getShowDelay()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `boolean` | `isDisabled()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setDirection(java.lang.String _direction)`
    `void` | `setDisabled(boolean _disabled)`
    `void` | `setEvent(java.lang.String _event)`
    `void` | `setIcon(java.lang.String _icon)`
    `void` | `setIconClass(java.lang.String _iconClass)`
    `void` | `setIconDisabled(java.lang.String _iconDisabled)`
    `void` | `setIconFolder(java.lang.String _iconFolder)`
    `void` | `setIconFolderDisabled(java.lang.String _iconFolderDisabled)`
    `void` | `setIconStyle(java.lang.String _iconStyle)`
    `void` | `setLabelClass(java.lang.String _labelClass)`
    `void` | `setOnclose(java.lang.String _onclose)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnopen(java.lang.String _onopen)`
    `void` | `setSelectClass(java.lang.String _selectClass)`
    `void` | `setSelectStyle(java.lang.String _selectStyle)`
    `void` | `setShowDelay(java.lang.Integer _showDelay)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlMenuGroup

          public HtmlMenuGroup()

  - ### Method Detail

    - #### getDirection

          public java.lang.String getDirection()

    - #### setDirection

          public void setDirection(java.lang.String _direction)

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `UIMenuGroup`

    - #### setDisabled

          public void setDisabled(boolean _disabled)

      Specified by:
        `setDisabled` in class `UIMenuGroup`

    - #### getEvent

          public java.lang.String getEvent()

    - #### setEvent

          public void setEvent(java.lang.String _event)

    - #### getIcon

          public java.lang.String getIcon()

      Specified by:
        `getIcon` in class `UIMenuGroup`

    - #### setIcon

          public void setIcon(java.lang.String _icon)

      Specified by:
        `setIcon` in class `UIMenuGroup`

    - #### getIconClass

          public java.lang.String getIconClass()

    - #### setIconClass

          public void setIconClass(java.lang.String _iconClass)

    - #### getIconDisabled

          public java.lang.String getIconDisabled()

      Specified by:
        `getIconDisabled` in class `UIMenuGroup`

    - #### setIconDisabled

          public void setIconDisabled(java.lang.String _iconDisabled)

      Specified by:
        `setIconDisabled` in class `UIMenuGroup`

    - #### getIconFolder

          public java.lang.String getIconFolder()

      Specified by:
        `getIconFolder` in class `UIMenuGroup`

    - #### setIconFolder

          public void setIconFolder(java.lang.String _iconFolder)

      Specified by:
        `setIconFolder` in class `UIMenuGroup`

    - #### getIconFolderDisabled

          public java.lang.String getIconFolderDisabled()

      Specified by:
        `getIconFolderDisabled` in class `UIMenuGroup`

    - #### setIconFolderDisabled

          public void setIconFolderDisabled(java.lang.String _iconFolderDisabled)

      Specified by:
        `setIconFolderDisabled` in class `UIMenuGroup`

    - #### getIconStyle

          public java.lang.String getIconStyle()

    - #### setIconStyle

          public void setIconStyle(java.lang.String _iconStyle)

    - #### getLabelClass

          public java.lang.String getLabelClass()

    - #### setLabelClass

          public void setLabelClass(java.lang.String _labelClass)

    - #### getOnclose

          public java.lang.String getOnclose()

    - #### setOnclose

          public void setOnclose(java.lang.String _onclose)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnopen

          public java.lang.String getOnopen()

    - #### setOnopen

          public void setOnopen(java.lang.String _onopen)

    - #### getSelectClass

          public java.lang.String getSelectClass()

    - #### setSelectClass

          public void setSelectClass(java.lang.String _selectClass)

    - #### getSelectStyle

          public java.lang.String getSelectStyle()

    - #### setSelectStyle

          public void setSelectStyle(java.lang.String _selectStyle)

    - #### getShowDelay

          public java.lang.Integer getShowDelay()

    - #### setShowDelay

          public void setShowDelay(java.lang.Integer _showDelay)

    - #### getStyle

          public java.lang.String getStyle()

      Specified by:
        `getStyle` in class `UIMenuGroup`

    - #### setStyle

          public void setStyle(java.lang.String _style)

      Specified by:
        `setStyle` in class `UIMenuGroup`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Specified by:
        `getStyleClass` in class `UIMenuGroup`

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

      Specified by:
        `setStyleClass` in class `UIMenuGroup`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIOutput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIOutput`

Copyright © 2014. All Rights Reserved.